<template>
  <select-field
    v-bind="$attrs"
    :items="paymentStatuses"
    :label="$t('label')"
    prepend-icon="mdi-list-status"
    v-on="$listeners"
  >
    <template v-slot:item="{ item }">
      <circle-icon :color="item.color" />
      {{ item.text }}
    </template>
  </select-field>
</template>

<script>
  import { get } from 'vuex-pathify'

  export default {
    name: 'PaymentStatusesSelectField',
    computed: {
      ...get('paymentStatuses', [
        'paymentStatuses',
      ]),
    },
    i18n: {
      messages: {
        'pt-BR': {
          label: 'Status',
        },
        'en-US': {
          label: 'Status',
        },
      },
    },
  }
</script>
